* {
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
}

body {
    background-color: #222831;
    border: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
}
#regButton{
    padding: 20px;
    /* background: linear-gradient(to left, white,aliceblue, #00ADB5); */
    box-shadow: 0 8px 20px rgba(0, 173, 181, 0.3);
    border: #00ADB5 solid 2px;
    background: transparent;
    max-width: 250px;
    width: 250px;
    margin: 20px;
    border-radius: 200px;
    transition: transform 0.3s ease, background-color 0.3s ease;
    opacity: 0.7;
    color: #00ADB5;
    font-family: 'Raleway';
    letter-spacing: 10px;
    font-weight: 600;
    text-decoration: none;
    text-align: center;
}

#regButton:hover{
    transform: scale(1.1);
    box-shadow: 0 8px 20px rgba(0, 173, 181, 0.5);
    opacity: 1;
}

#logButton{
    padding: 20px;
    /* background: linear-gradient(to right, white,aliceblue, #00ADB5); */
    box-shadow: 0 8px 20px rgba(255, 255, 255, 0.3);
    border: white solid 2px;
    max-width: 250px;
    width: 250px;
    margin: 20px;
    border-radius: 200px;
    transition: transform 0.3s ease, background-color 0.3s ease;
    opacity: 0.5;
    color: white;
    font-family: 'Raleway';
    letter-spacing: 10px;
    font-weight: 600;
    text-decoration: none;
    text-align: center;
}

#logButton:hover{
    transform: scale(1.1);
    box-shadow: 0 8px 20px rgba(255, 255, 255, 0.5);
    opacity: 1;
}

.buttonSec{
    display: flex;
}
.home{
    width: 100%;
    height: 100vh;
    background-color: #222831;
    color: #00ADB5;
    display: flex;
    padding: 0px;
    margin: 0px;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.home h1{
    letter-spacing: 30px;
}

.buttonSec {
    display: flex;
    gap: 20px; /* Space between Login and Register buttons */
    justify-content: center;
    align-items: center;
    margin-top: 40px; /* Add some space between the text and buttons */
}
.home p{
    color: white;
    margin-top: 10px;
    letter-spacing: 10px;
}
header {
    background-color: #393e46;
    opacity: 0.3;
    width: 60%;
    padding: 20px 10px;
    text-align: center;
    margin: 0;
    border-radius: 50px;
    transition: transform 0.3s ease, background-color 0.3s ease;
    display: flex;
    justify-content: space-around;
}

header:hover{
    opacity: 0.5; 
    transform: scale(1.02);
}

header h1 {
    color: #ffffff;
    font-size: 3.5em;
    margin-bottom: 20px;
    text-transform: uppercase;
    letter-spacing: 20px;
}

header ul {
    list-style: none;
}

header ul a {
    color: #ffffff;
    font-size: 1.5em;
    letter-spacing: 8px;
    text-decoration: none;
    font-weight: 500;
}

header ul a:hover {
    color: #00ADB5;
    transition: color 0.3s ease;
    opacity: 0.8;
}

/* .nav {
    margin-top: 10px;
} */

.nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
    gap: 30px;
}

h1 {
    animation: fadeInDown 1.5s ease-in-out;
    font-size: 2.5em;
    color: #00ADB5;
    margin-top: 20px;
}

p {
    animation: fadeInUp 1.5s ease-in-out;
    font-size: 1.5em;
    color: #ffffff;
    margin-top: 10px;
}

.container h2{
    animation:fadeInDown 1.5s ease-in-out;;
}
.container p{
    animation: fadeInUp 2s ease-in-out;
}
h1 {

    animation: fadeInDown 1.5s ease-in-out;
}
header{
    animation: fadeInUp 2s ease-in-out;
}
@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(50px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
@keyframes fadeInDown {
    0% {
        opacity: 0;
        transform: translateY(-50px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
.container {
    align-items: center;
    background-color: #393e46;
    background-color: transparent;
    opacity: 0.7;
    width: 80%;
    max-width: 1000px;
    flex-grow: 1;
    padding: 40px;
    margin-top: 100px;
    margin-bottom: 10px;
    border-radius: 100px;
    text-align: center;
    animation: fadeIn 1.5s ease-in-out;
}

.container:hover{
    opacity: 0.9;
}
.container h2 {
    padding: 10px;
    padding-bottom: 0px;
    font-size: 2.5em;
    font-weight: bold;
    color: #00ADB5;
    margin-bottom: 10px;
    text-transform: uppercase;
    letter-spacing: 15px;
    font-weight: 400;
}



.container p {
    font-size: 1em;
    color: white;
    font-family: 'Raleway';
    margin-bottom: 20px;
    letter-spacing: 5px;
}



.homeFeature {
    opacity: 0.8;
    margin-top: 50px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 80px;
    /* background-color: #393e46; */
    
    border-radius: 100px;
    padding: 50px;
}

.homeFeature:hover{
    opacity: 0.9;
}

.feature {
    padding: 30px;
    border-radius: 15%;
    box-shadow: 0 8px 30px rgba(215,215,215, 0.4);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    transition: transform 0.3s ease, background-color 0.3s ease;
    opacity: 0;
    background-color: aliceblue;
}

.feature.visible{
    opacity: 0.8;
    transform: translateY(0);
}

.feature:hover {
    opacity: 0.9;
    transform: translateY(-13px);
    box-shadow: 0 8px 30px rgba(215,215,215, 0.4);
}

.feature i {
    font-size: 4em;
    color: #1F2933;
    margin-bottom: 20px;
    transition: transform 0.4s;
}

.feature h3 {
    margin-top: 15px;
    font-size: 2em;
    font-weight: 400;
    color: #1F2933;
    letter-spacing: 10px;
    margin-bottom: 5px;
    transition: transform 0.4s;
}

.feature p {
    font-size: 1em;
    font-weight: 350;
    color: #1F2933;
    letter-spacing: 2px;
    margin-bottom: 40px;
    transition: transform 0.4s;
}

.feature button {
    margin-top: 20px;
    border-radius: 15px;
    border: none;
    font-size: 1em;
    font-weight: 500;
    color: #1F2933;
    margin: 0;
    padding: 5% 22%;
    background-color: #00ADB5;
    opacity: 85%;
    transition: transform 0.4s;
}

.feature .comingSoonButton {
    background-color: #00ADB5;
    padding: 9% 13%;
    font-size: 1.5em;
    font-weight: bold;
    color: white;
}

.playButton.clicked {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    transform: translateY(4px); 
    opacity: 0.5;
}

.feature button i {
    margin: 0;
    padding: 0;
    
}

.mtkSvg {
    animation: colorChange 5s ease-in-out infinite; 
}

.feature button:hover {
    opacity: 100%;
    transform: scale(1.1);
}

.fisikaSvg {
    animation: rotate 3s linear infinite;
}

.kimiaSvg{
    animation: pour 2s infinite;
}

#flask {
    transform-origin: center bottom;
    animation: pour 3s infinite; 
}

.engSvg {
    animation: scaleUpDown 3s ease-in-out infinite;
}

.p1{
    text-align: center;
    letter-spacing: 10px;
    font-weight: 300;
}
footer {
    background-color: #222831;
    height: 20%;
    width: 100%;
    padding: 40px 20px;
    text-align: center;
    margin: 0;
    color: #ffffff;
    margin-bottom: 50px;
    margin-top: 50px;
}

footer p{
    letter-spacing: 10px;
    font-weight: 500;
}

.welcomeText{
    margin-top: 50px;
}

#userName{
    color: #00ADB5;
}
/* Animasi */

@keyframes wave {
    0% {
        transform: translateY(0); 
    }
    25% {
        transform: translateY(-10px); 
    }
    50% {
        transform: translateY(0); 
    }
    75% {
        transform: translateY(10px); 
    }
    100% {
        transform: translateY(0); 
    }
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes fadeIn {
    0% { opacity: 0; transform: translateY(20px); }
    100% { opacity: 1; transform: translateY(0); }
}

@keyframes colorChange {
    0% {
        fill: #111; 
    }
    50% {
        fill: #00ADB5;
    }
    100% {
        fill: #111; 
    }
}
    
@keyframes pour {
    0%, 100% {
        transform: rotate(0deg);
    }
    50% {
        transform: rotate(30deg);
    }
}



@keyframes scaleUpDown {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2); 
    }
}


/* Media Queries untuk Responsivitas */
@media (max-width: 1024px) {

    .container h2{
        font-size: 20px;
    }

    #contP{
        font-size: 10px;
    }

    .homeFeature {
        grid-template-columns: 1fr;
    }

    .container {
        width: 60%; 
    }
    header{
        width: 600px;
    }
    header h1 {
        font-size: 3em; 
    }

    .nav ul {
        
        gap: 5px;
    }

    .feature .playButton{
        padding: 5% 20%;
    }
}

@media (max-width: 768px) {
    .home{
        text-align: center;
    }
    header{
        width: 600px;
    }
    .container {
        margin-top: 100px;
        width: 70%; 
        margin-top: 50px;
        max-width: 600px; 
        margin: 20px auto; 
        padding: 20px;
    }

    header h1 {
        font-size: 2.5em; 
    }
    .container h2{
        margin-top: 100px;
        font-size: 15px;

    }

    #p1{
        font-size: 10px;
    }

    .feature h3 {
        font-size: 1.5em; 
    }

    .feature p {
        font-size: 0.9em; 
    }

    .feature button {
        font-size: 1em; 
        padding: 8px 15%;
    }

    footer{
        text-align: center;
        font-size: 15px;
    }
}

@media (max-width: 480px) {
    .home{
        text-align: center;
        
    }
    
    header h1 {
        font-size: 2.5em; 
    }

    
    .feature {
        padding: 15px;
        text-align: justify;
    }

    .feature svg {
        width: 60px; 
        height: 60px;
    }

    .feature h3 {
        font-size: 1.2em; 
    }

    .feature p {
        font-size: 0.8em;
    }

    .feature button {
        font-size: 0.9em; 
        padding: 6px 10%;
    }

    footer{
        font-size: 15px;
    }
}
